//Examples/Frequent_Errors

package programmingcourse;

public class BreakDemo {
  
  static String checkState(boolean student) {
    int status = student ? 1 : 0;
    String studentState;
    switch (status) {
    case 0:
      studentState = "no student";
      break;
    case 1:
      studentState = "student";
      break;
    default:
      studentState = "unknown";
      break;
    }
    return studentState;
  }
  
  public static void main(String[] arguments) {

    // Person "Anna"
    Person anna = new Person("State Anna: ", true);
    String status = checkState(anna.isStudent());
    System.out.println(anna.getName() + status);

    // Person "Robert"
    Person robert = new Person("State Robert: ", false);
    status = checkState(robert.isStudent());
    System.out.println(robert.getName() + status);
  }
}