// Examples/Annotations

package net.programmingcourse.annotations;

public class DeprecatedMethod {

  /**
   * This method demonstrates the use of the annotation
   * "deprecated" with parameters on a class
   * @deprecated
   * This method will be replaced soon.
   * <p> Use {@link getStatus()} instead.
   * @returnStatus
   */
  @Deprecated(since = "1.1", forRemoval = true)
  public String status() {
    return "I am a deprecated method.";
  }
  
  public String getStatus() {
    return "I am the replacement.";
  }
}