//Examples/Enumerations

package programmingcourse;

public class InnerEnumClassDemo {

  private enum Weekday {
    MONDAY ("Monday"), TUESDAY ("Tuesday"),
    WEDNESDAY ("Wednesday"), THURSDAY ("Thursday"),
    FRIDAY ("Friday"), SATURDAY ("Saturday"), SUNDAY ("Sunday");

    private String name;

    // Constructor with parameter name:
    Weekday(String name){
      this.name = name;
    }

    @Override
    public String toString(){
        return this.name;
    }
  }

  public static void main(String[] args) {
    System.out.println("Days of the week:");
    System.out.println(Weekday.MONDAY);
    System.out.println(Weekday.TUESDAY);
    System.out.println(Weekday.WEDNESDAY);
    System.out.println(Weekday.THURSDAY);
    System.out.println(Weekday.FRIDAY);
    System.out.println(Weekday.SATURDAY);
    System.out.println(Weekday.SUNDAY);
  }
}