//Examples/Class_Libraries

package programmingcourse;

import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.TextField;
import java.awt.event.ComponentEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class EventDemo extends Frame {
  
  private static final long serialVersionUID = 1L;
  
  public EventDemo() {
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        dispose();
        System.exit(0);
      }
    });
    setSize(500, 200);
    setLayout(new BorderLayout());
    TextField information = new TextField("");
    add("Center", information);
    
    addComponentListener(new java.awt.event.ComponentAdapter() {
      
      public void componentMoved(ComponentEvent e) {
        information.setText("Window moved");
      }
      
      public void componentResized(ComponentEvent e) {
        information.setText("Window resized");
      }
    });
  }
  
  public static void main(String[] arguments) {
    EventDemo eventDemo = new EventDemo();
    eventDemo.setVisible(true);
  }
}