//Examples/Classes_and_Objects

package programmingcourse;

public class GenericRobot<T> {
  
  private T person;
  
  public void setPerson(T person) {
    this.person = person;
  }
  
  public T getPerson() {
    return person;
  }
  
  public static void main(String[] arguments) {
    
    GenericRobot<Professor> robert =
      new GenericRobot<Professor>();
    robert.setPerson(new Professor("Professor Roth"));
    
    GenericRobot<Student> roland =
      new GenericRobot<Student>();
    roland.setPerson(new Student("Anna"));
    
    System.out.println("Robert: I belong to " +
      robert.getPerson().getName() + "!");
    
    System.out.print("Roland: I belong to " +
      roland.getPerson().getName() +"!");
  }
}