// Examples/Algorithms

package programmingcourse;

import javax.swing.UIManager;

public class GraphicsApp {
  boolean packFrame = false;

  /**
   * Constructor
   */
  public GraphicsApp() {
    GraphicsWindow window = new GraphicsWindow();
    if (packFrame) {
      window.pack();
    }
    else {
      window.validate();
    }
    window.setResizable(false);
    window.setLocationRelativeTo(null); // Center window
    window.setVisible(true);
  }
  
  /**
   * The method main is the program's entry point.
   * @param args the arguments are not evaluated
   */
  public static void main(String[] args) {
    try {
     UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new GraphicsApp();
  }
}