// Examples/Annotations

package net.programmingcourse.annotations;

/**
 * Demo for a base class
 * @author Bernhard Steppan
 * @version 1.1
 */
public class BaseClass {

  /**
   * Please replace with getStatus()
   * Verwenden Sie {@link getStatus()} stattdessen.
   */
  @Deprecated(since = "1.1", forRemoval=true)
  public void status() {
    System.out.println("I am the deprecated base method 'status()'.");
  }

  public void getStatus() {
    System.out.println("I am the replacement for the method 'status().");
  }
}