//Examples/Class_Libraries

package programmingcourse;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

public class PropertiesDemo {
  
  public static void main(String[] arguments) {
    
    Properties weekdays = new Properties();
    String propertyName = null;
    
    // Try to open the file
    try {
      if (arguments[0].equals("en"))
        propertyName = "Week_en.properties";
      else
        propertyName = "Week_de.properties";
      weekdays.load(new FileInputStream(propertyName));
    } catch (IOException exception) {
      System.out.println(exception);// Error
    }
    
    // File output:
    System.out.println(weekdays.getProperty("Monday", "Montag"));
  }
}