//Examples/Swing_Programs

package net.programmingcourse.coursestatistics.main;

import java.awt.Dimension;
import javax.swing.JFrame;
import net.programmingcourse.coursestatistics.ui.MainWindow;

/**
 * Project: CourseStatisticsApp
 * Description: The main app for displaying course statistics
 * @author Bernhard Steppan
 * @version 1.0
 *
 */
public class CourseStatisticsApp {
  
  public static void main(String[] args) {
    MainWindow window = new MainWindow();
    // Set the size of the main window:
    window.setSize(new Dimension(800, 600));
    // Centre window (= parameter null):
    window.setLocationRelativeTo(null);
    // Set that the app is terminated when the window is closed:
    window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    // Show window:
    window.setVisible(true);
  }
}