// Examples/Annotations

package net.programmingcourse.annotations;

/**
 * This class demonstrates the use of the annotation
 * "deprecated" with parameters on a class
 * @deprecated
 * This class will be replaced soon.
 * <p> Use {@link NewClass} instead.
 */
@Deprecated(since = "1.1", forRemoval = true)
public class DeprecatedClass {
  
  public String status() {
    return "I am a deprecated class.";
  }
}