//Examples/Classes_and_Objects

package programmingcourse;

public class StandardRobot {
  
  private Object person;
  
  public void setPerson(Object person) {
    this.person = person;
  }
  
  public Object getPerson() {
    return person;
  }
  
  public static void main(String[] arguments) {
    
    StandardRobot robert = new StandardRobot();
    robert.setPerson(new Professor("Professor Roth"));
    
    StandardRobot roland = new StandardRobot();
    roland.setPerson(new Student("Anna"));
    
    Professor professor = (Professor) robert.getPerson();
    
    System.out.println("Robert: I belong to " +
      professor.getName() + "!");
    
    Student student = (Student) roland.getPerson();
    
    System.out.println(
        "Roland: I belong to " + student.getName() + "!");
    
    // Program error due to the assignment of an incorrect type:
    professor = (Professor) roland.getPerson();
    
    System.out.print("Roland: I belong to " + professor.getName() + "!");
  }
}