//Examples/Methods

package programmingcourse;

public class Person {
  
  private Salutation salutation;
  private String firstName;
  private String lastName;
  private String university;
  private boolean student;

  // 1. Constructor with two parameters:
  public Person(String firstName, String lastName) {
    this.firstName = firstName;
    this.lastName = lastName;
  }

  // 2. Constructor with five parameters:
  public Person(Salutation salutation,
                String firstName,
                String lastName,
                String university,
                boolean student) {
    this.salutation = salutation;
    this.firstName = firstName;
    this.lastName = lastName;
    this.university = university;
    this.student = student;
  }

  public Salutation getSalutation() {
    return salutation;
  }

  public String getFirstName() {
    return firstName;
  }

  public String getLastName() {
    return lastName;
  }

  public String getName() {
    return firstName + " " + lastName;
  }

  public String getUniversity() {
    return university;
  }

  public boolean isStudent() {
    return student;
  }

  //(...)
  public void setSalutation(Salutation salutation) {
    this.salutation = salutation;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }
  
  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public void setUniversity(String university) {
    this.university = university;
  }
  
  public void setStudent(boolean student) {
    this.student = student;
  }
}