//Examples/Classes_and_Objects

package programmingcourse;

public class Robot {

  public void sayGoodMorning(String name) {
    
    Greeting englishGreeting = new Greeting() {
      @Override
      public void sayGoodMorning(String name) {
        System.out.println("Good morning, " + name + "!");
      }
    };
    
    Greeting germanGreeting = new Greeting() {
      @Override
      public void sayGoodMorning(String name) {
        System.out.println("Guten Morgen, " + name + "!");
      }
    };
    
    Greeting spanishGreeting = new Greeting() {
      @Override
      public void sayGoodMorning(String name) {
        System.out.println("Buenos dias, " + name + "!");
      }
    };
    
    englishGreeting.sayGoodMorning(name);
    germanGreeting.sayGoodMorning(name);
    spanishGreeting.sayGoodMorning(name);
  }
}