//Examples/Conditional_Statements

package programmingcourse;

public class Java6SwitchDemo {
  
  static String checkState(boolean student) {
    int state = student ? 1 : 0;
    String stateDescription;
    switch (state) {
    case 0:
      stateDescription = " is not a student";
      break;
    case 1:
      stateDescription = " is a student";
      break;
    default:
      stateDescription = "";
      break;
    }
    return stateDescription;
  }
  
  public static void main(String[] arguments) {
    // Person "Anna", the object identifier is anna:
    Person anna = new Person("Anna", true);
    String studentState = checkState(anna.isStudent());
    System.out.println(anna.getName() + studentState);

    // Person "Robert", the object identifier is robert:
    Person robert = new Person("Robert", false);
    studentState = checkState(robert.isStudent());
    System.out.println(robert.getName() + studentState);
  }
}