//Examples/Class_Libraries

package programmingcourse;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

class RuntimeDemo {

  @SuppressWarnings("deprecation")
  public static void main(String[] arguments) {

    Process process = null;
    try {
      //Unix
      process = Runtime.getRuntime().exec("ls -l");
      //Win9x
      //process = Runtime.getRuntime().exec("command /c dir");
      //WinNT
      //process = Runtime.getRuntime().exec("cmd /c dir");
      BufferedReader input = new BufferedReader(
          new InputStreamReader(process.getInputStream()));
      String output;
      while ((output = input.readLine()) != null) {
        System.out.println(output);
      }
    }
    catch (IOException fehler) {
      System.out.println(fehler);
    }
  }
}