// Examples/Algorithms

package programmingcourse;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class CollectionsSearchDemo {

  public static void main(String[] arguments) {
    // Creating the programming course with its members
    List<String> programmingCourse =
      Arrays.asList(new String[] {"Karsten", "Anna", "Julia",
                                  "Lukas", "Florian", "Robert"});
    // Sorting the programming course
    Collections.sort(programmingCourse);
    
    int index; // Running index for loop and search
    
    // Output of the sorted list of members:
    System.out.println("The names of the members of the "
        + "programming course sorted alphabetically:");
    for (index = 0 ; index < programmingCourse.size() - 1; index++)
      System.out.print(programmingCourse.get(index) + ", ");
    System.out.print(programmingCourse.get(index) +"\n");
    
    // Search for member "Florian":
    index = Collections.binarySearch(programmingCourse, "Florian");
    
    // Determination of the element by means of index & output its name:
    System.out.print("Member found: " + programmingCourse.get(index));
  }
}