// Examples/Algorithms

package programmingcourse;

public class SelectionSortDemo {

  public static void main(String[] arguments) {

    int heights[] = { 185, 190, 171, 186, 184, 172 };

    int cache, index;

    for (index = 0; index <= (heights.length); index++) {
      for (int j = index; j < (heights.length); j++) {
        if (heights[index] > heights[j]) { // Comparison
          // Cache the minimum:
          cache = heights[index];
          heights[index] = heights[j]; // Minimum is overwritten
          // Swap by temporary value:
          heights[j] = cache;
        }
      }
    }
    
    System.out.println("Heights of the members of the "
        + "programming course sorted in ascending order:");
    for (index = 0 ; index < heights.length - 1; index++)
      System.out.print(heights[index] + ", ");
    System.out.print(heights[index]);
  }
}