// Examples/Annotations

package net.programmingcourse.annotations;

/**
 * This class demonstrates the use of the annotation
 * "deprecated" with parameters on a class.
 * This class will be replaced soon.
 * <p> Use {@link NewClass} instead.
 * @author Bernhard Steppan
 * @version 1.2
 * @deprecated
 */
@Deprecated(since = "1.1", forRemoval = true)
public class DeprecatedClass {
  
  public void status() {
    System.out.println("I am a deprecated class.");
  }
}