//Examples/Operators

package programmingcourse;

class TernaryOperatorDemo {
  
  static String determineStudentState(boolean student) {
    String studentState =
      ((student) ? " is a student" : " is not a student");
    return studentState;
  }

  public static void main(String[] arguments) {
    // Person "Anna", the object identifier is anna:
    Person anna = new Person("Anna", true);
    String studentState = determineStudentState(anna.isStudent());
    System.out.println(anna.getName() + studentState);

    // Person "Robert", the object identifier is robert:
    Person robert = new Person("Robert", false);
    studentState = determineStudentState(robert.isStudent());
    System.out.println(robert.getName() + studentState);
  }
}